﻿using System;

namespace Akabana.Amf.Messaging.Gateway.Exception
{
    /**
     * <summary>リモーティングサービスが存在しない例外クラス</summary>
     * 
     */
    [global::System.Serializable]
    public class ServiceMethodNotFoundException : System.Exception
    {
        /**
         * <summary>コンストラクタ</summary>
         * <param Name="message">サービスメソッド名</param>
         */
        public ServiceMethodNotFoundException(string message)
            : base(message + " is not found.")
        {
        }
    }
}
