﻿using System;

namespace Akabana.Amf.Messaging.Gateway.Exception
{
    /**
     * <summary>サービスが登録されていない例外クラス</summary>
     * 
     */
    [global::System.Serializable]
    public class UnRegisteredServiceException : System.Exception
    {
        /**
         * <summary>コンストラクタ</summary>
         * <param Name="message">サービス名</param>
         */
        public UnRegisteredServiceException(string message)
            : base(message + " is unregistered service.")
        {
        }
    }
}
