﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Akabana.Amf.Messaging.Messages
{
    public class AsyncMessage : AbstractMessage
    {
        public String correlationId { get; set; }

        public override AcknowledgeMessage CreateAcknowledgeMessage(object body)
        {
            var lastMessage = messageId;
            var result = base.CreateAcknowledgeMessage(body);
            result.correlationId = lastMessage;
            return result;
        }
    }
}
