﻿/*
* Copyright 2009-2010 AKABANA.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
* either express or implied. See the License for the specific language
* governing permissions and limitations under the License.
*/
namespace Akabana.Amf.Amf0
{
    public enum Amf0TypeMarker : byte
    {
        NumberMarker        = 0x00,
        BooleanMarker       = 0x01,
        StringMarker        = 0x02,
        ObjectMarker        = 0x03,
        MovieclipMarker     = 0x04,
        NullMarker          = 0x05,
        UndefinedMarker     = 0x06,
        ReferenceMarker     = 0x07,
        EcmaArrayMarker     = 0x08,
        ObjectEndMarker     = 0x09,
        StrictArrayMarker   = 0x0a,
        DateMarker          = 0x0b,
        LongStringMarker    = 0x0c,
        UnsupportedMarker   = 0x0d,
        RecordsetMarker     = 0x0e,
        XmlDocumentMarker   = 0x0f,
        TypedObjectMarker   = 0x10,
        AvmplusObjectMarker = 0x11
    }
}
