﻿/*
* Copyright 2009-2010 AKABANA.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
* either express or implied. See the License for the specific language
* governing permissions and limitations under the License.
*/
namespace Akabana.Amf.Amf3
{
    public enum Amf3TypeMarker : byte
    {
        UndefinedMarker = 0x00,
        NullMarker      = 0x01,
        FalseMarker     = 0x02,
        TrueMarker      = 0x03,
        IntegerMarker   = 0x04,
        DoubleMarker    = 0x05,
        StringMarker    = 0x06,
        XmlDocMarker    = 0x07,
        DateMarker      = 0x08,
        ArrayMarker     = 0x09,
        ObjectMarker    = 0x0a,
        XmlMarker       = 0x0b,
        ByteArrayMarker = 0x0c
    }
}
