﻿using System;

namespace Akabana.Amf.Exception
{
    /**
     * <summary>不正なデータが指定された例外クラス</summary>
     * 
     */
    [global::System.Serializable]
    public class IllegalDataException : System.Exception
    {
        /**
         * <summary>コンストラクタ</summary>
         * <param Name="message">データを示す文字列</param>
         */
        public IllegalDataException(string typeName)
            : base(typeName + " is illegal data.")
        {
        }
    }
}
