﻿using System;

namespace Akabana.Amf.Messaging.Gateway.Exception
{
    /**
     * <summary>不正なサービスが指定された例外クラス</summary>
     * 
     */
    [global::System.Serializable]
    public class IllegalServiceException : System.Exception
    {
        /**
         * <summary>コンストラクタ</summary>
         * <param Name="message">サービス名</param>
         */
        public IllegalServiceException(string message)
            : base(message + " is unsupport service.")
        {
        }
    }
}
