﻿using System;

namespace Akabana.Amf.Messaging.Gateway.Exception
{
    /**
     * <summary>不正なサービスメソッドが指定された例外クラス</summary>
     * 
     */
    [global::System.Serializable]
    public class IllegalServiceMethodException : System.Exception
    {
        /**
         * <summary>コンストラクタ</summary>
         * <param Name="message">サービスメソッド名</param>
         */
        public IllegalServiceMethodException(string message)
            : base(message + " is unsupport service method.")
        {
        }
    }
}
