﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Akabana.Amf.Messaging.Gateway
{
    public static class HttpRequestExt
    {
        private const string METHOD_GET = "GET";

        private const string METHOD_POST = "POST";

        public static bool IsPostMethod(this HttpRequest request)
        {
            return request.HttpMethod.ToUpper() == METHOD_POST;
        }

        public static bool IsGetMethod(this HttpRequest request)
        {
            return request.HttpMethod.ToUpper() == METHOD_GET;
        }
    }
}
