﻿/*
* Copyright 2009-2010 AKABANA.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
* either express or implied. See the License for the specific language
* governing permissions and limitations under the License.
*/
namespace Akabana.Amf.Amf3
{
    internal static class Amf3Consts
    {
        public const int BIT_MASK_REFERENCE = 0x01;

        public const int BIT_REFERENCE = 0x00;

        public const int BIT_VALUE = 0x01;

        public const int BIT_MASK_TRAITS = 0x02;

        public const int BIT_TRAITS_REFERENCE = 0x00;

        public const int BIT_TRAITS_VALUE = 0x02;

        public const int BIT_MASK_EXT = 0x04;

        public const int BIT_EXT = 0x04;

        public const int BIT_NON_EXT = 0x00;

        public const int BIT_MASK_DYNAMIC = 0x08;

        public const int BIT_DYNAMIC = 0x08;

        public const int BIT_NON_DYNAMIC = 0x00;

        public const int BIT_SHIFT_REFERENCE = 0x01;

        public const int BIT_SHIFT_TRAITS = 0x02;

        public const int BIT_SHIFT_NUM_FIELDS = 0x04;

        public const byte EMPTY_STRING = 0x01;

        public const string ECMA_ARRAY = "ECMA Array";

        public const string EXTERNALIZABLE_OBJECT = "Externalizable Object";

        public const string DYNAMIC_OBJECT = "Dynamic Object";
    }
}
